Bug 50768 - neat -- setting another interface configuration to use eth0 wipes out the first eth0 configuration
Summary: neat -- setting another interface configuration to use eth0 wipes out the fir...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-02 22:26 UTC by Panic
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-08 13:52:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Panic 2001-08-02 22:26:26 UTC
Description of Problem:

If I create a second configuration  for eth0, the first configuration is
wiped out (ifcfg-eth0 is replaced) but it remains in the neat configuration
list.  The only way I can see to avoid this problem is to "DeActivate" the
first interface (make sure you turn it off first, see bug# 50738), close
the program (to actually remove the ifcfg-eth0 from network-scripts), then
restart the configuration tool and configure the new interface.  I'm not
sure that the first configuration is recoverable in that instance --
haven't tested it.

In any case, when the ifcfg-eth0 is replaced, the entry for the
configuration is left in the neat configuration window, and now modifying
the first configuration does nothing.  This is extremely confusing, since
the configuration still exists in neat, and is still marked Active.

How Reproducible:

Always

Steps to Reproduce:
1. Set up one interface configuration in neat
2. now set up another one pointed at the same interface (eth0)
3. close the program.
4. Note that there is only one ifcfg-eth0, and changes to the first
configuration entry no longer have any effect.

Actual Results:

First configuration is orphaned, second configuration applies

Expected Results:

Both configurations should be saved, one should be made "inactive".
Alternatively, the interface should not allow the user to attach a second
configuration to the same interface.

Additional Information:

Comment 1 Glen Foster 2001-08-06 22:29:13 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Phil Knirsch 2001-08-08 13:52:11 UTC
We probably should only allow one virtual neat device for a given real ethernet
device to be activated at any given time.

Harald or I will look into that.

Read ya, Phil

Comment 3 Harald Hoyer 2001-08-16 12:43:19 UTC
fixed in CVS



Note You need to log in before you can comment on or make changes to this bug.